import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { OfficeContactSelectObjectSchema as OfficeContactSelectObjectSchema } from './OfficeContactSelect.schema';
import { OfficeContactIncludeObjectSchema as OfficeContactIncludeObjectSchema } from './OfficeContactInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => OfficeContactSelectObjectSchema).optional(),
  include: z.lazy(() => OfficeContactIncludeObjectSchema).optional()
}).strict();
export const OfficeContactArgsObjectSchema = makeSchema();
export const OfficeContactArgsObjectZodSchema = makeSchema();
